@ECHO OFF
rem	Please adjust the GNU variable to the Grind install dir
SET GNU=Z:MyDocuments\Grind
rem	SET GNU=C:\Users\name\Documents\Grind
rem	SET GNU=C:\Grind

rem	This batch script assumes that "command extensions"
rem	are enabled (default on windows).
rem	check if we can enable them in this script
VERIFY errors 2>nul
SETLOCAL ENABLEEXTENSIONS
IF ERRORLEVEL 1 echo Unable to enable extensions & echo ask your sysadm to enable command extensions & pause & goto :eof

rem	1. (percentagetilde)d - The drive
rem	2. (percentagetilde)p - The path
rem	3. (percentagetilde)n - The file name
rem	4. (percentagetilde)x - the extension

SET PATH=%GNU%\bin;%PATH%

cd /D "%~dp1"

"%GNU%\bin\grindpp" "%~nx1"

gcc -O3 "%~n1.c" -o "%~n1.exe" "%GNU%\lib\libgrind.a" -lglut32 -lglu32 -lopengl32 -lpthreadGC -lm

DEL "%~n1.c"

"%~n1.exe"

DEL "%~n1.exe"

PAUSE
